Register Individual for Monitoring
curl --request POST \
--url https://api-umbrella.io/api/services/aml/ongoingMonitoring/registerIndividual \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profileId": "8dac-b5393ce5ef3a",
"names": "Elon Musk",
"gender": "male",
"searchAll": "<string>",
"dob": "1971/06/28",
"fuzzySearch": "<string>"
}
'import requests
url = "https://api-umbrella.io/api/services/aml/ongoingMonitoring/registerIndividual"
payload = {
"profileId": "8dac-b5393ce5ef3a",
"names": "Elon Musk",
"gender": "male",
"searchAll": "<string>",
"dob": "1971/06/28",
"fuzzySearch": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profileId: '8dac-b5393ce5ef3a',
names: 'Elon Musk',
gender: 'male',
searchAll: '<string>',
dob: '1971/06/28',
fuzzySearch: '<string>'
})
};
fetch('https://api-umbrella.io/api/services/aml/ongoingMonitoring/registerIndividual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Unauthorized request"
}AML
AML Ongoing Monitoring Register Individual Service
AML Ongoing Monitoring Register Individual Service API Documentation
POST
/
aml
/
ongoingMonitoring
/
registerIndividual
Register Individual for Monitoring
For a usage description of the AML Ongoing Monitoring Register Individual Service, please refer to the AML page.
Endpoint
POST/aml/ongoingMonitoring/registerIndividual
Swagger
Authorizations
Bearer token obtained from POST /auth. Valid for 60 minutes.
Body
application/json
Unique identifier for the individual profile in the system.
Example:
"8dac-b5393ce5ef3a"
Full name of the individual (e.g., "Elon Musk").
Example:
"Elon Musk"
Gender of the individual (optional, e.g., "male").
Example:
"male"
This field cannot be combined with the names parameter.
Date of birth of the individual (optional).
Example:
"1971/06/28"
Enables fuzzy search for the name (optional).
Response
Successfully registered individual for monitoring.
⌘I